import request from '@/utils/request'

// 查询题目答案列表
export function listQuestionBankAnswer(query) {
  return request({
    url: '/school-paper/questionBankAnswer/list',
    method: 'get',
    params: query
  })
}

// 查询题目答案详细
export function getQuestionBankAnswer(id) {
  return request({
    url: '/school-paper/questionBankAnswer/' + id,
    method: 'get'
  })
}

// 新增题目答案
export function addQuestionBankAnswer(data) {
  return request({
    url: '/school-paper/questionBankAnswer',
    method: 'post',
    data: data
  })
}

// 修改题目答案
export function updateQuestionBankAnswer(data) {
  return request({
    url: '/school-paper/questionBankAnswer',
    method: 'put',
    data: data
  })
}

// 删除题目答案
export function delQuestionBankAnswer(id) {
  return request({
    url: '/school-paper/questionBankAnswer/' + id,
    method: 'delete'
  })
}
